﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr232_1
{
    // Класс со свойством: 
    class MyClass{
        // Закрытое поле типа byte: 
        private byte num;
        // Открытое свойство типа int: 
        public int number{
            // Аксессор для считывания значения свойства: 
            get {
                // Значение свойства:
                return num;
            }
            // Аксессор для присваивания значения свойству: 
            set {
                // Контролируемый код: 
                try {
                    // Генерирование исключения при переполнении: 
                    checked {
                        // Значение поля: 
                        num = (byte)value;
                    }
                }
                // Обработка исключений: 
                catch(OverflowException) {
                    // Значение поля: 
                    num = 255;
                }
            }
        }
    }

    // Главный класс: 
    class Program
    {
        // Главный метод: 
        static void Main()
        {
            // Объект класса:
            MyClass obj = new MyClass();
            // Присваивание значения свойству: 
            obj.number = 100;
            // Проверка значения свойства:
            Console.WriteLine("Значение свойства: " + obj.number); 
            // Присваивание значения свойству: 
            obj.number = 300;
            // Проверка значения свойства:
            Console.WriteLine("Значение свойства: " + obj.number);
            // Задержка:
            Console.ReadLine();
        }
    }
}
